#ifndef _GPIO_H_
#define _GPIO_H_

enum gpio_pin {
    PIN_0,
    PIN_1,
    PIN_2,
    PIN_3,
    PIN_4,
    PIN_5,
    PIN_6,
    PIN_7
};

enum gpio_func {
    DIGITAL_IO, //default
    ANALOG_IN,
    ANALOG_OUT,
    PWM
};

enum gpio_dir {
    NONE, // default
    OUTPUT,
    INPUT
};

// sets the function of the gpio_pin
void GPIO_set_func(enum gpio_pin pin, enum gpio_func func);

// sets the direction of gpio direction of the given gpio pin if the function is digital IO
void GPIO_set_direction(enum gpio_pin pin, enum gpio_dir dir);

// reads and returns pin status of a digital IO input pin
int GPIO_read_digital(enum gpio_pin pin);

// enables interrupt on the gpio pin
void GPIO_interrupt_enable(enum gpio_pin pin);

// disables interrupt on the gpio pin
void GPIO_interrupt_disable(enum gpio_pin pin);

// Tells us which pin gave the interrupt
enum gpio_pin GPIO_get_interrupt_source();

// clears interrupt on the gpio pin
void GPIO_interrupt_clear(enum gpio_pin pin);
#endif
