/**
 * File: led.h
 * Interface of the led module.
*/

#ifndef _LED_H_
#define _LED_H_

// initializes the LEDs and related peripherals like GPIO and PWM.
void led_init();

// toggle between turn on and turn off of white color
void led_toggle_white();

// increases the presently lit LEDs’ brightness by 10%
void led_step_up_brightness();

// decreases the presently lit LEDs’ brightness by 10%
void led_step_down_brightness();

// sets the presently lit LEDs’ brightness to 50% 
void led_default_brightness();

// changes color in this order: Red, green, blue, yellow, white, repeat
void led_next_color();

// reverses the order above
void led_prev_color();

// Turn on and Turn off the LEDs preserving the present color
void led_toggle_power();

#endif