/**
 * File: main.c
 * Initializes the peripherals and goes into a low power consumption while loop.
 * The app logic is interrupt based and all action takes place through the button and timer interrupts
*/

#include "button.h"
#include "led.h"
#include "pins.h"

/**************************************************Helper functions*******************************************************/
static void _init_peripherals()
{
    led_init(); // ******************** is the order important here?
    button_init();
}

/**************************************************Application entry point***********************************************************/

int main()
{
    _init_peripherals();  
    while (1)
    {
        __WFI();
    }
    return 0;
}

/*************************************************************THE END*******************************************************************/