#ifndef _PWM_H_
#define _PWM_H_
#include "gpio.h"

enum duty_cycle {
    PWM_DUTY_0_PERCENT, // default
    PWM_DUTY_10_PERCENT,
    PWM_DUTY_20_PERCENT,
    PWM_DUTY_30_PERCENT,
    PWM_DUTY_40_PERCENT,
    PWM_DUTY_50_PERCENT,
    PWM_DUTY_60_PERCENT,
    PWM_DUTY_70_PERCENT,
    PWM_DUTY_80_PERCENT,
    PWM_DUTY_90_PERCENT,
    PWM_DUTY_100_PERCENT
};

// enable/disable PWM function on a given gpio pin
void PWM_enable(enum gpio_pin pin);
void PWM_disable(enum gpio_pin pin);

// sets the duty cycle to a given value
void PWM_set_duty_cycle(enum gpio_pin pin, enum duty_cycle percent);

// gets the duty cycle
enum duty_cycle PWM_get_duty_cycle(enum gpio_pin pin);

#endif